/****************************************************************************************/
/*																						*/
/*							Automatic Tour Into the Picture (ATIP)						*/
/*																						*/
/****************************************************************************************/

//! \file	atip_file.h
//! \author	BOULANGER Kevin
//! \date	13th August 2004
//! \brief	Management of the ATIP file format


#ifndef _ATIP_FILE_H_
#define _ATIP_FILE_H_

#include <atip.h>


//! Read an ATIP file
//! \param atipData Reference to an ATIPdata structure which will be filled with the data
//! \param fileName Name of the file to load
//! \return True if there was no error, else call atipGetError()
//!         ATIP_FILE_READ_ERROR and ATIP_BAD_FILE_FORMAT can occur
bool atipReadFile(ATIPdata & atipData, const char * fileName);


//! Write an ATIP file (for the navigator)
//! \param fileName Name of the file to write
//! \param atipData Reference to an ATIPdata structure with valid data
//! \return True if there was no error, else call atipGetError()
//!         ATIP_FILE_WRITE_ERROR and ATIP_INVALID_ARGUMENT can occur
bool atipWriteFile(const char * fileName, ATIPdata & atipData);


#endif	// _ATIP_FILE_H_